Configuration avancée
Précédent |  | Suivant

## Configuration avancée

### Options en ligne de commande

Lorsque Terminal est lancé depuis la ligne de commande ou depuis un lanceur du panneau Xfce, plusieurs options peuvent être spécifiées pour modifier le comportement.

`--help`

  Affiche les différentes options pour la ligne de commande supportées par Terminal et quitte

`--version`

  Affiche la version et quitte

`--disable-server`

  Ne pas utiliser le service D-BUS

`--execute` `...`

  Exécute le reste de la ligne de commande dans le terminal

`--command` `commande`

  Exécute `commande` dans le terminal

`--working-directory` `répertoire`

  Détermine le `répertoire` de travail du terminal

`--title` `titre`

  Définit le `titre` du terminal

`--hold`

  Ne ferme pas le terminal lorsque la commande exécutée se termine

`--display` `écran`

  Détermine quel `écran` X est utilisé pour ouvrir le terminal

`--geometry` `géométrie`

  Spécifie la géométrie de la dernière fenêtre à `géométrie`. Consultez `man `X`` pour plus d'informations sur la manière de spécifier les géométries d'une fenêtre.

`--role` `rôle`

  Spécifie le rôle de la dernière fenêtre à `rôle`. S'applique seulement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande. C'est principalement utilisé en interne pour la gestion d'une session de Terminal.

`--startup-id` `id`

  Spécifie l'ID de notification de démarrage pour la dernière fenêtre. Est utilisé en interne lorsque le service D-BUS est utilisé, pour faire suivre l'ID de notification de démarrage.

`--fullscreen`

  Passe la dernière fenêtre en mode plein écran. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

`--maximize`

  Set the last-specified window into maximized mode; applies to only one window; can be specified once for each window you create from the command line.

`--show-menubar`

  Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque nouvelle fenêtre créée depuis la ligne de commande.

`--hide-menubar`

  Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque nouvelle fenêtre créée depuis la ligne de commande.

`--show-borders`

  Affiche la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-borders`

  Cache la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--show-toolbars`

  Affiche la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-toolbars`

  Cache la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--tab`

  Ouvre un nouvel onglet dans la dernière fenêtre. Cette option peut être spécifiée plus d'une fois.

`--window`

  Ouvre une nouvelle fenêtre avec seulement un onglet. Cette option peut être spécifiée plus d'une fois.

Par exemple, si vous voulez ouvrir un nouveau terminal avec deux onglets, où le premier exécuterait mutt et le second mc, et que la fenêtre aurait une géométrie de 80 colonnes par 40 lignes, alors la commande à exécuter pour Terminal serait :

    Terminal --geometry 80x40 --command mutt --tab --command mc

### Fichiers et Variables d'environnements

Terminal utilise les spécifications Basedir qui sont définies par Freedesktop.org afin de localiser ses données et ses fichiers de configurations. Cela signifie que les chemins vers les fichiers seront spécifiés de manière relatives par rapport aux répertoires décrits dans les spécifications.

`${XDG_CONFIG_HOME}`

  Le premier répertoire de base utilisé pour trouver les fichiers de configurations. La valeur par défaut est `~/.config/`.

`${XDG_CONFIG_DIRS}`

  Une liste de répertoires séparée par deux-points qui contiennent des données de configurations. Par défaut l'application regarde dans `${sysconfdir}/xdg/`. La valeur de `${sysconfdir}` dépend de l'installation de l'application et sera souvent `/etc/` pour les paquets binaires.

`${XDG_DATA_HOME}`

  La racine pour les données spécifiques à chaque utilisateur. Par défaut cette variable est initialisée à `~/.local/share/`.

`${XDG_DATA_DIRS}`

  Une liste de répertoires de base triée par ordre de préférence dans lesquels des fichiers seront recherchés en plus du répertoire de base `${XDG_DATA_HOME}`. Ces répertoires doivent être séparés par des deux-points.

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  Le chemin vers le fichier de configuration qui inclut les préférences définissant l'aspect de l'interface graphique de Terminal.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  Ce fichier inclut les définitions de l'interface utilisateur pour les barres d'outils. Si vous utilisez l'éditeur graphique pour personnaliser les barres d'outils, Terminal sauvegardera ces informations dans le fichier `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

### Options cachées

Terminal offre certaines options cachées pour autoriser les utilisateurs avancés à affiner leur configuration, et pour réduire le nombre d'options dans l'interface graphique. Pour modifier l'une de ces options, vous devez ouvrir le fichier `${XDG_CONFIG_HOME}/Terminal/terminalrc` dans votre éditeur favori et éditer la section `[Configuration]` ; vous pouvez créer ce fichier s'il n'existe pas déjà. Par exemple, votre fichier `terminalrc` peut contenir :

    [Configuration]
    MiscAlwaysShowTabs=TRUE
    MiscBell=TRUE
    MiscConfirmClose=FALSE
    MiscCursorBlinks=TRUE
    MiscCycleTabs=FALSE
    MiscInheritGeometry=TRUE
    MiscMouseAutohide=FALSE
    MiscTabCloseButtons=TRUE
    MiscTabPosition=GTK_POS_TOP
    MiscHighlightUrls=TRUE

en plus de toutes les options qui sont contrôlées depuis la fenêtre des préférences.

`MiscAlwaysShowTabs`

  Si `TRUE` alors l'en-tête des onglets est toujours visible même avec un unique onglet. Cette option est utile si vous désirez que la fenêtre de votre terminal ne soit pas redimensionnée lorsque vous ouvrez un second onglet. Désactivée par défaut.

`MiscBell`

  Active (`MiscBell=TRUE`) ou désactive (`MiscBell=FALSE`) le signal sonore du terminal. Désactivée par défaut.

`MiscConfirmClose`

  Demande une confirmation à l'utilisateur s'il tente de fermer Terminal tandis qu'il y a plusieurs onglets ouverts. Peut être `TRUE` (par défaut) ou `FALSE`.

`MiscCursorBlinks`

  Activez cette option pour afficher un curseur clignotant. Peut être `TRUE` ou `FALSE` (par défaut).

`MiscCycleTabs`

  Cette option décide la manière de circuler dans les onglets. C'est à dire, la possibilité de passer du dernier onglet au premier onglet depuis le menu Aller → Onglet suivant (ou son raccourci associé), et du premier onglet au dernier onglet depuis le menu Aller → Onglet précédent. Peut être `TRUE` (par défaut) ou `FALSE`.

`MiscDefaultGeometry`

  La géométrie par défaut d'une nouvelle fenêtre de Terminal si l'option `--geometry` n'est pas spécifiée en ligne de commande (par défaut `80x24`).

`MiscInheritGeometry`

  Ce paramètre décide si les nouvelles fenêtres héritent des dimensions (largeur et hauteur de l'onglet actif) de la fenêtre parente (la fenêtre depuis laquelle la nouvelle fenêtre a été ouverte). Peut être `TRUE` ou `FALSE` (par défaut).

`MiscMouseAutohide`

  Ce paramètre décide si le pointeur de la souris doit être masqué de Terminal durant la saisie au clavier. Peut être `TRUE` ou `FALSE` (par défaut).

`MiscTabCloseButtons`

  Ce paramètre décide si Terminal affiche des boutons dans le titre des onglets pour les fermer. Peut être `TRUE` (par défaut) ou `FALSE`.

`MiscTabPosition`

  Spécifie la position de l'en-tête onglets dans la fenêtre. Peut être `GTK_POS_TOP` (par défaut), `GTK_POS_LEFT`, `GTK_POS_BOTTOM` ou `GTK_POS_RIGHT`. Si vous spécifiez `GTK_POS_LEFT` ou `GTK_POS_RIGHT`, alors le texte dans les onglets sera affiché verticalement au lieu d'horizontalement. Il est vivement recommandé de désactiver `MiscTabCloseButtons` pour les valeurs `GTK_POS_LEFT` et `GTK_POS_RIGHT`.

`MiscHighlightUrls`

  This setting controls whether URLs - both hyperlinks and email addresses - will be highlighted in the text displayed in a terminal window. If you change this option to `FALSE`, URLs won't be highlighted anymore and you will no longer be able to middle-click the URL to open it in the preferred application.

Précédent |  | Suivant
Préférences | Sommaire | Questions fréquemment posées (FAQ)